Create a bill payment
curl --request POST \
--url https://api.sync2books.com/bill-payments/{connectionId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"supplierRef": {
"id": "<string>",
"name": "<string>"
},
"accountRef": {
"id": "<string>",
"name": "<string>"
},
"totalAmount": 123,
"currency": "<string>",
"date": "2023-12-25",
"billPaymentCode": "<string>",
"currencyRate": 1.0001,
"note": "<string>",
"billRef": {
"id": "<string>",
"billCode": "<string>"
},
"lines": [
{
"amount": 123,
"allocatedOnDate": "2023-12-25",
"reference": "<string>",
"links": [
{
"billId": "<string>",
"amount": 123
}
]
}
]
}
'import requests
url = "https://api.sync2books.com/bill-payments/{connectionId}"
payload = {
"supplierRef": {
"id": "<string>",
"name": "<string>"
},
"accountRef": {
"id": "<string>",
"name": "<string>"
},
"totalAmount": 123,
"currency": "<string>",
"date": "2023-12-25",
"billPaymentCode": "<string>",
"currencyRate": 1.0001,
"note": "<string>",
"billRef": {
"id": "<string>",
"billCode": "<string>"
},
"lines": [
{
"amount": 123,
"allocatedOnDate": "2023-12-25",
"reference": "<string>",
"links": [
{
"billId": "<string>",
"amount": 123
}
]
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
supplierRef: {id: '<string>', name: '<string>'},
accountRef: {id: '<string>', name: '<string>'},
totalAmount: 123,
currency: '<string>',
date: '2023-12-25',
billPaymentCode: '<string>',
currencyRate: 1.0001,
note: '<string>',
billRef: {id: '<string>', billCode: '<string>'},
lines: [
{
amount: 123,
allocatedOnDate: '2023-12-25',
reference: '<string>',
links: [{billId: '<string>', amount: 123}]
}
]
})
};
fetch('https://api.sync2books.com/bill-payments/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sync2books.com/bill-payments/{connectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'supplierRef' => [
'id' => '<string>',
'name' => '<string>'
],
'accountRef' => [
'id' => '<string>',
'name' => '<string>'
],
'totalAmount' => 123,
'currency' => '<string>',
'date' => '2023-12-25',
'billPaymentCode' => '<string>',
'currencyRate' => 1.0001,
'note' => '<string>',
'billRef' => [
'id' => '<string>',
'billCode' => '<string>'
],
'lines' => [
[
'amount' => 123,
'allocatedOnDate' => '2023-12-25',
'reference' => '<string>',
'links' => [
[
'billId' => '<string>',
'amount' => 123
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sync2books.com/bill-payments/{connectionId}"
payload := strings.NewReader("{\n \"supplierRef\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"accountRef\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"totalAmount\": 123,\n \"currency\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"billPaymentCode\": \"<string>\",\n \"currencyRate\": 1.0001,\n \"note\": \"<string>\",\n \"billRef\": {\n \"id\": \"<string>\",\n \"billCode\": \"<string>\"\n },\n \"lines\": [\n {\n \"amount\": 123,\n \"allocatedOnDate\": \"2023-12-25\",\n \"reference\": \"<string>\",\n \"links\": [\n {\n \"billId\": \"<string>\",\n \"amount\": 123\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sync2books.com/bill-payments/{connectionId}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"supplierRef\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"accountRef\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"totalAmount\": 123,\n \"currency\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"billPaymentCode\": \"<string>\",\n \"currencyRate\": 1.0001,\n \"note\": \"<string>\",\n \"billRef\": {\n \"id\": \"<string>\",\n \"billCode\": \"<string>\"\n },\n \"lines\": [\n {\n \"amount\": 123,\n \"allocatedOnDate\": \"2023-12-25\",\n \"reference\": \"<string>\",\n \"links\": [\n {\n \"billId\": \"<string>\",\n \"amount\": 123\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sync2books.com/bill-payments/{connectionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"supplierRef\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"accountRef\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"totalAmount\": 123,\n \"currency\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"billPaymentCode\": \"<string>\",\n \"currencyRate\": 1.0001,\n \"note\": \"<string>\",\n \"billRef\": {\n \"id\": \"<string>\",\n \"billCode\": \"<string>\"\n },\n \"lines\": [\n {\n \"amount\": 123,\n \"allocatedOnDate\": \"2023-12-25\",\n \"reference\": \"<string>\",\n \"links\": [\n {\n \"billId\": \"<string>\",\n \"amount\": 123\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"supplierRef": {
"id": "<string>",
"name": "<string>"
},
"accountRef": {
"id": "<string>",
"name": "<string>"
},
"totalAmount": 123,
"currency": "<string>",
"date": "2023-12-25",
"billPaymentCode": "<string>",
"currencyRate": 1.0001,
"note": "<string>",
"paymentMethodRef": {
"id": "<string>",
"name": "<string>"
},
"billRef": {
"id": "<string>",
"billCode": "<string>"
},
"lines": [
{
"amount": 123,
"allocatedOnDate": "2023-12-25",
"reference": "<string>",
"links": [
{
"billId": "<string>",
"amount": 123
}
]
}
],
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Bill Payments
Create a bill payment
POST
/
bill-payments
/
{connectionId}
Create a bill payment
curl --request POST \
--url https://api.sync2books.com/bill-payments/{connectionId} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"supplierRef": {
"id": "<string>",
"name": "<string>"
},
"accountRef": {
"id": "<string>",
"name": "<string>"
},
"totalAmount": 123,
"currency": "<string>",
"date": "2023-12-25",
"billPaymentCode": "<string>",
"currencyRate": 1.0001,
"note": "<string>",
"billRef": {
"id": "<string>",
"billCode": "<string>"
},
"lines": [
{
"amount": 123,
"allocatedOnDate": "2023-12-25",
"reference": "<string>",
"links": [
{
"billId": "<string>",
"amount": 123
}
]
}
]
}
'import requests
url = "https://api.sync2books.com/bill-payments/{connectionId}"
payload = {
"supplierRef": {
"id": "<string>",
"name": "<string>"
},
"accountRef": {
"id": "<string>",
"name": "<string>"
},
"totalAmount": 123,
"currency": "<string>",
"date": "2023-12-25",
"billPaymentCode": "<string>",
"currencyRate": 1.0001,
"note": "<string>",
"billRef": {
"id": "<string>",
"billCode": "<string>"
},
"lines": [
{
"amount": 123,
"allocatedOnDate": "2023-12-25",
"reference": "<string>",
"links": [
{
"billId": "<string>",
"amount": 123
}
]
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
supplierRef: {id: '<string>', name: '<string>'},
accountRef: {id: '<string>', name: '<string>'},
totalAmount: 123,
currency: '<string>',
date: '2023-12-25',
billPaymentCode: '<string>',
currencyRate: 1.0001,
note: '<string>',
billRef: {id: '<string>', billCode: '<string>'},
lines: [
{
amount: 123,
allocatedOnDate: '2023-12-25',
reference: '<string>',
links: [{billId: '<string>', amount: 123}]
}
]
})
};
fetch('https://api.sync2books.com/bill-payments/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sync2books.com/bill-payments/{connectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'supplierRef' => [
'id' => '<string>',
'name' => '<string>'
],
'accountRef' => [
'id' => '<string>',
'name' => '<string>'
],
'totalAmount' => 123,
'currency' => '<string>',
'date' => '2023-12-25',
'billPaymentCode' => '<string>',
'currencyRate' => 1.0001,
'note' => '<string>',
'billRef' => [
'id' => '<string>',
'billCode' => '<string>'
],
'lines' => [
[
'amount' => 123,
'allocatedOnDate' => '2023-12-25',
'reference' => '<string>',
'links' => [
[
'billId' => '<string>',
'amount' => 123
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sync2books.com/bill-payments/{connectionId}"
payload := strings.NewReader("{\n \"supplierRef\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"accountRef\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"totalAmount\": 123,\n \"currency\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"billPaymentCode\": \"<string>\",\n \"currencyRate\": 1.0001,\n \"note\": \"<string>\",\n \"billRef\": {\n \"id\": \"<string>\",\n \"billCode\": \"<string>\"\n },\n \"lines\": [\n {\n \"amount\": 123,\n \"allocatedOnDate\": \"2023-12-25\",\n \"reference\": \"<string>\",\n \"links\": [\n {\n \"billId\": \"<string>\",\n \"amount\": 123\n }\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sync2books.com/bill-payments/{connectionId}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"supplierRef\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"accountRef\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"totalAmount\": 123,\n \"currency\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"billPaymentCode\": \"<string>\",\n \"currencyRate\": 1.0001,\n \"note\": \"<string>\",\n \"billRef\": {\n \"id\": \"<string>\",\n \"billCode\": \"<string>\"\n },\n \"lines\": [\n {\n \"amount\": 123,\n \"allocatedOnDate\": \"2023-12-25\",\n \"reference\": \"<string>\",\n \"links\": [\n {\n \"billId\": \"<string>\",\n \"amount\": 123\n }\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sync2books.com/bill-payments/{connectionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"supplierRef\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"accountRef\": {\n \"id\": \"<string>\",\n \"name\": \"<string>\"\n },\n \"totalAmount\": 123,\n \"currency\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"billPaymentCode\": \"<string>\",\n \"currencyRate\": 1.0001,\n \"note\": \"<string>\",\n \"billRef\": {\n \"id\": \"<string>\",\n \"billCode\": \"<string>\"\n },\n \"lines\": [\n {\n \"amount\": 123,\n \"allocatedOnDate\": \"2023-12-25\",\n \"reference\": \"<string>\",\n \"links\": [\n {\n \"billId\": \"<string>\",\n \"amount\": 123\n }\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"supplierRef": {
"id": "<string>",
"name": "<string>"
},
"accountRef": {
"id": "<string>",
"name": "<string>"
},
"totalAmount": 123,
"currency": "<string>",
"date": "2023-12-25",
"billPaymentCode": "<string>",
"currencyRate": 1.0001,
"note": "<string>",
"paymentMethodRef": {
"id": "<string>",
"name": "<string>"
},
"billRef": {
"id": "<string>",
"billCode": "<string>"
},
"lines": [
{
"amount": 123,
"allocatedOnDate": "2023-12-25",
"reference": "<string>",
"links": [
{
"billId": "<string>",
"amount": 123
}
]
}
],
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Authorizations
Your application's API key (sk_development_… or sk_production_…). An optional X-Signature / X-Timestamp HMAC pair may additionally be sent for stronger security — see Authentication.
Path Parameters
The connection to the accounting system to write through.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Decimal amount in the document's currency.
Required range:
x >= 0.0001Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Decimal amount in the document's currency.
Required range:
x >= 0.0001Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes